/*
 * This file is part of ElSoldadoYLaElfa.
 *
 * 
 * Miguel Garde Vallés (C) 2012
 * <miguelgardev@gmail.com>
 *
 * 
 * ElSoldadoYLaElfa examples are free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License ad
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) ant later version.
 *
 * ElSoldadoYLaElfa examples are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ElSoldadoYLaElfa examples.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "Sound/sound3D.h"

//! Clase que reproduce la música de fondo.


/**
 *  @author Miguel Garde Vallés
 *  @date 7-02-2012
 *
 *  Se supone que ya hay una clase que hace esto en la librería reutilizada (Song.h),
 *  pero no funciona, de modo que se hizo una propia, heredando de Sound3D.
 *  Como funcionalidad añadida, se puede controlar el volumen de esta pista a parte del del resto del juego
 */

class BackSound : public Sound3D {
public:
    BackSound(const Ogre::String& name);
    virtual void update(int channel);
    virtual ~BackSound();
    int mVolume;
private:

};

