#include "IEventManager.h"

namespace GardeGames {

	IEventManager * IEventManager::g_pEventMgr = NULL;

	IEventManager * IEventManager::Get()
	{
		return g_pEventMgr;
	}

	IEventManager::IEventManager(
		char const * const pName,
		bool setAsGlobal )
	{
		if ( setAsGlobal )
			g_pEventMgr = this;
	}

	IEventManager::~IEventManager()
	{
		if ( g_pEventMgr == this )
			g_pEventMgr = NULL;
	}
}
