/*
 * This file is part of ElSoldadoYLaElfa.
 *
 * 
 * Miguel Garde Vallés (C) 2012
 * <miguelgardev@gmail.com>
 *
 * 
 * ElSoldadoYLaElfa examples are free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License ad
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) ant later version.
 *
 * ElSoldadoYLaElfa examples are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ElSoldadoYLaElfa examples.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

//Entrada
#include "InputManager.h"
#include "GameAction.h"

//Estados
#include "GameStateManager.h"
#include "GameState.h"

//Eventos
#include "Event.h"
#include "EventManager.h"
#include "EventType.h"
#include "IEventListener.h"
#include "IEventManager.h"

//Vista
#include "IGameView.h"

//Nucleo
#include "GameManager.h"
#include "GameManagerEventManaged.h"