#pragma once

#include "Attack.h"
#include "GameActor.h"
#include <Ogre.h>

class RangeAttack : public Attack
{
public:
	RangeAttack(float range, float damage, int manaCost, Ogre::SceneNode* proyectil);
	~RangeAttack(void);
	
	void update(float elapsedTime);
	void executeAttack(GameActor* target=0);
	GameActor* getTarget(); 
	
private:
	GameActor* mTarget;
	Ogre::SceneNode* mProyectil;
};
